Subject: Re: gitk kills bash shell
From: Jeremy Ramer <[email-masked]>
To: Ryan Johnson <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 28 Sep 2010 13:40:22 -0600
List-Id: <cygwin.cygwin.com>

On Tue, Sep 28, 2010 at 1:01 PM, Ryan Johnson <[email-masked]> wrote:
>  Jeremy Ramer said:
>>
>> I have a very repeatable issue, but I'm not sure how to go about
>> debugging it.  I follow this process.
>>
>> 1) Start an rxvt bash shell
>> 2) Go to a git repo folder
>> 3) Start gitk
>> gitk --all&
>> 4) Go back to bash and press any key except enter and bash closes
>>
>> I also get a similar problem with this process:
>> 1) Start an rxvt bash shell
>> 2) Go to a git repo folder
>> 3) Start gitk
>> gitk --all&
>> 4) Close gitk with the close button. Both gitk and bash close.
>>
>> Note that the issue does not happen if I don't start gitk as a
>> background process. But then I can't use the shell.
>>
>> Any debugging tips?
>
> This sounds suspiciously similar to a problem that hit me a while back:
> http://www.cygwin.com/ml/cygwin/2010-09/msg00225.html
>
> The short version is, running certain apps in the background triggers a bug
> in tty handling.
> Last I heard Corinna was having trouble diagnosing because the bug also
> kills strace :)
>
> No fix yet AFAIK.

I was afraid of that. It just started happening for me after upgrading
to cygwin 1.7, as well as to others in my company.

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple